clang 10.0.0git

Public Types | List of all members
clang::CodeGen::ConstantInitBuilderTraits Struct Reference

`#include "clang/CodeGen/ConstantInitBuilder.h"`

## Public Types
using | InitBuilder = ConstantInitBuilder
using | AggregateBuilderBase = ConstantAggregateBuilderBase
using | ArrayBuilder = ConstantArrayBuilder
using | StructBuilder = ConstantStructBuilder

## Detailed Description

Definition at line 508 of file ConstantInitBuilder.h.

## Member Typedef Documentation

## ◆ AggregateBuilderBase

using clang::CodeGen::ConstantInitBuilderTraits::AggregateBuilderBase = ConstantAggregateBuilderBase

Definition at line 510 of file ConstantInitBuilder.h.

## ◆ ArrayBuilder

using clang::CodeGen::ConstantInitBuilderTraits::ArrayBuilder = ConstantArrayBuilder

Definition at line 511 of file ConstantInitBuilder.h.

## ◆ InitBuilder

using clang::CodeGen::ConstantInitBuilderTraits::InitBuilder = ConstantInitBuilder

Definition at line 509 of file ConstantInitBuilder.h.

## ◆ StructBuilder

using clang::CodeGen::ConstantInitBuilderTraits::StructBuilder = ConstantStructBuilder

Definition at line 512 of file ConstantInitBuilder.h.

The documentation for this struct was generated from the following file:

- include/clang/CodeGen/ConstantInitBuilder.h